> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-initializefiles.md).

# medcrypt::guardian::utilities::InitializeFiles

## 개요

이는 다음을 위해 사용되는 초기화 파일의 저장소입니다. [Guardian 초기화](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-2-run-initialize).

**요구 사항:**

* 모든 `const char*` 입력은 로드된 버퍼의 시작 위치를 가리키도록 설정해야 합니다.
* 모든 `size_t` 입력은 버퍼에 로드된 데이터의 크기로 설정해야 합니다.

**사용 예:**

* 사용 방법의 예는 [GetInitializeFilesFromPath()](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-utilities.md#function-getinitializefilesfrompath) 및 [DeleteInitializeFileBuffers()](/ko/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-utilities.md#function-deleteinitializefilebuffers) 의 [FileHelpers.h](https://github.com/MedCrypt/docs/tree/cc6d7e9e4565d200e300a7e4ea03af7b3d489502/Files/FileHelpers_8h.md#file-filehelpers.h) 를 참조하세요.

**포함:**

```cpp
#include <InitializeFiles.h>
```

**구문:**

```cpp
struct medcrypt::guardian::utilities::InitializeFiles;
```

### 구조체 멤버

* [TrustStore](#variable-truststore): 루트 인증 기관 신뢰 저장소
* [TrustStoreSize](#variable-truststoresize): 장치의 개인 ID 및 키
* [PrivateIdentity](#variable-privateidentity): 장치의 개인 ID 및 키
* [PrivateIdentitySize](#variable-privateidentitysize): PrivateIdentity 데이터의 크기
* [CertifiedProfile](#variable-certifiedprofile): 장치 인증 프로필 및 인증서
* [CertifiedProfileSize](#variable-certifiedprofilesize): CertifiedProfile 데이터의 크기
* [CertifiedCertificateRevocations](#variable-certifiedcertificaterevocations): 인증서 폐기 목록
* [CertifiedCertificateRevocationsSize](#variable-certifiedcertificaterevocationssize): CertifiedCertificateRevocations 데이터의 크기

### 멤버 세부 정보

#### TrustStore 변수 <a href="#variable-truststore" id="variable-truststore"></a>

* **설명:** 인증서 검증을 위한 루트 인증 기관 TrustStore 파일 버퍼입니다.
* **유형:** `const char*`
* **구문:**

```cpp
const char * TrustStore;
```

#### TrustStoreSize 변수 <a href="#variable-truststoresize" id="variable-truststoresize"></a>

* **설명:** TrustStore 파일 버퍼의 크기입니다.
* **유형:** `size_t`
* **구문:**

```
size_t TrustStoreSize;
```

#### PrivateIdentity 변수 <a href="#variable-privateidentity" id="variable-privateidentity"></a>

* **설명:** 암호화 키가 포함된 장치의 개인 ID입니다.
* **유형:** `const char*`
* **보안:** 안전하게 보관해야 하며 절대 전송해서는 안 됩니다.
* **구문:**

```cpp
const char * PrivateIdentity;
```

#### PrivateIdentitySize 변수 <a href="#variable-privateidentitysize" id="variable-privateidentitysize"></a>

* **설명:** PrivateIdentity 파일 버퍼의 크기입니다.
* **유형:** `size_t`
* **구문:**

```cpp
size_t PrivateIdentitySize;
```

#### CertifiedProfile 변수 <a href="#variable-certifiedprofile" id="variable-certifiedprofile"></a>

* **설명:** 인증서와 구성이 포함된 장치 인증 프로필입니다.
* **유형:** `const char*`
* **구문:**

```cpp
const char * CertifiedProfile;
```

#### CertifiedProfileSize 변수 <a href="#variable-certifiedprofilesize" id="variable-certifiedprofilesize"></a>

* **설명:** CertifiedProfile 파일 버퍼의 크기입니다.
* **유형:** `size_t`
* **구문:**

```
size_t CertifiedProfileSize;
```

#### CertifiedCertificateRevocations 변수 <a href="#variable-certifiedcertificaterevocations" id="variable-certifiedcertificaterevocations"></a>

* **설명:** 인증서 폐기 목록(CRL)의 파일 버퍼입니다.
* **유형:** `const char*`
* **구문:**

```cpp
const char * CertifiedCertificateRevocations;
```

#### CertifiedCertificateRevocationsSize 변수 <a href="#variable-certifiedcertificaterevocationssize" id="variable-certifiedcertificaterevocationssize"></a>

* **설명:** 인증서 폐기 목록(CRL)의 파일 버퍼 크기입니다.
* **유형:** `const char*`
* **구문:**

```cpp
size_t CertifiedCertificateRevocationsSize;
```

### 관련 클래스

* [Guardian 클래스](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#overview): 사용: `InitializeFiles` 의 [Initialize()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-2-run-initialize) 함수
* [ProvisionFiles 구조체](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisionfiles.md): 프로비저닝 작업에 사용되는 유사한 파일 구조
* [ProvisionOnlineFiles 구조체](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisiononlinefiles.md): 온라인 프로비저닝에 사용되는 파일 구조

## 디버깅 및 로깅

Guardian은 로그 파일을 생성하지 않습니다. 대신 로깅은 애플리케이션에서 제어합니다.

* Guardian은 로그를 다음으로 출력합니다: `stdout` 및 `stderr`이러한 로그는 실행 중인 애플리케이션의 터미널/CLI에 표시됩니다. 출력에서 특정 오류 코드나 연결 실패를 확인하세요.
* **사용자 지정 로깅:** 다음을 사용하여 `SetLoggingCallback` 로그 메시지를 콜백 함수로 리디렉션할 수 있습니다. 이렇게 하면 터미널 출력이 중단되고 사용자 지정 로그 처리가 가능해집니다.
* **로그 제어:** 애플리케이션에서 로그 수준과 상세도를 제어할 수 있습니다.
* **Guardian Cloud UI**: Guardian Cloud 인터페이스에서 추가 오류 세부 정보와 프로비저닝 상태를 확인하세요.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-initializefiles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
